let commonApiFun = function(vm){
	let loginWxByUser        = async (params = {}) => await vm.$u.get('/wxh-support-rest/rest/ssoinfo/v3/getUsersByCode', params);
	let loginWxByPhone		 = async (params = {}) => await vm.$u.post('/wxh-support-rest/rest/ssoinfo/v3/findByMobile', params,{'content-type': 'application/x-www-form-urlencoded'});
	let loginWechatAuth		 = async (params = {}) => await vm.$u.post('/wxh-support-rest/rest/ssoinfo/wxapp/unify/authorization', params, {'content-type': 'application/x-www-form-urlencoded'});
	
	const commonApi = {
		loginWxByUser,
		loginWxByPhone,
		loginWechatAuth,
	}
	return commonApi
}
module.exports =  {
	commonApiFun
}